ClarisWksStyleManagerInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisWksStyleManagerInternal::State Struct Reference

Internal: the state of a ClarisWksStyleManager. More...

## Public Member Functions
| State ()
| constructor More...
void | setDefaultColorList (int version)
| set the default color map More...
void | setDefaultPatternList (int version)
| set the default pattern map More...
void | setDefaultGradientList (int version)
| set the default pattern map More...
void | setDefaultWallPaperList (int version)
| set the default pattern map More...
int | getFontId (int localId) const
| return a mac font id corresponding to a local id More...

## Public Attributes
int | m_version
| the version More...
std::map< int, int > | m_localFIdMap
| a map local fontId->fontId More...
std::map< int, ClarisWksStyleManager::Style > | m_stylesMap
| the styles map id->style More...
std::map< int, int > | m_lookupMap
| the style lookupMap More...
std::vector< MWAWFont > | m_fontList
| the list of fonts More...
std::vector< ClarisWksStyleManager::CellFormat > | m_cellFormatList
| the list of format More...
std::vector< MWAWGraphicStyle > | m_graphList
| the Graphic list More...
std::vector< ClarisWksStyleManager::KSEN > | m_ksenList
| the KSEN list More...
std::vector< std::string > | m_nameList
| the style name list More...
std::vector< MWAWColor > | m_colorList
| a list colorId -> color More...
std::vector< Pattern > | m_patternList
| a list patternId -> pattern More...
std::vector< Gradient > | m_gradientList
| a list gradientId -> gradient More...
std::vector< MWAWGraphicStyle::Pattern > | m_wallpaperList
| a list wallPaperId -> pattern More...

## Detailed Description

Internal: the state of a ClarisWksStyleManager.

## Constructor & Destructor Documentation

## § State()

ClarisWksStyleManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § getFontId()

int ClarisWksStyleManagerInternal::State::getFontId | ( | int | localId | ) | const
| inline

return a mac font id corresponding to a local id

## § setDefaultColorList()

void ClarisWksStyleManagerInternal::State::setDefaultColorList | ( | int | version | ) |

set the default color map

## § setDefaultGradientList()

void ClarisWksStyleManagerInternal::State::setDefaultGradientList | ( | int | version | ) |

set the default pattern map

## § setDefaultPatternList()

void ClarisWksStyleManagerInternal::State::setDefaultPatternList | ( | int | version | ) |

set the default pattern map

## § setDefaultWallPaperList()

void ClarisWksStyleManagerInternal::State::setDefaultWallPaperList | ( | int | version | ) |

set the default pattern map

## Member Data Documentation

## § m_cellFormatList

std::vector<ClarisWksStyleManager::CellFormat> ClarisWksStyleManagerInternal::State::m_cellFormatList

the list of format

## § m_colorList

std::vector<MWAWColor> ClarisWksStyleManagerInternal::State::m_colorList

a list colorId -> color

## § m_fontList

std::vector<MWAWFont> ClarisWksStyleManagerInternal::State::m_fontList

the list of fonts

## § m_gradientList

std::vector<Gradient> ClarisWksStyleManagerInternal::State::m_gradientList

a list gradientId -> gradient

## § m_graphList

std::vector<MWAWGraphicStyle> ClarisWksStyleManagerInternal::State::m_graphList

the Graphic list

## § m_ksenList

std::vector<ClarisWksStyleManager::KSEN> ClarisWksStyleManagerInternal::State::m_ksenList

the KSEN list

## § m_localFIdMap

std::map<int, int> ClarisWksStyleManagerInternal::State::m_localFIdMap

a map local fontId->fontId

## § m_lookupMap

std::map<int, int> ClarisWksStyleManagerInternal::State::m_lookupMap

the style lookupMap

## § m_nameList

std::vector<std::string> ClarisWksStyleManagerInternal::State::m_nameList

the style name list

## § m_patternList

std::vector<Pattern> ClarisWksStyleManagerInternal::State::m_patternList

a list patternId -> pattern

## § m_stylesMap

std::map<int, ClarisWksStyleManager::Style> ClarisWksStyleManagerInternal::State::m_stylesMap

the styles map id->style

## § m_version

int ClarisWksStyleManagerInternal::State::m_version

the version

## § m_wallpaperList

std::vector<MWAWGraphicStyle::Pattern> ClarisWksStyleManagerInternal::State::m_wallpaperList

a list wallPaperId -> pattern

The documentation for this struct was generated from the following file:

- ClarisWksStyleManager.cxx